#2011, Eulalie Sauthier, Master Thesis

scatter_p_vs_gl_decal<- function(prec_input,glaciers,vec_name,vec_name_p,col_r,xlim1,xlim2,ylim1,ylim2) {

#créer les nuages de points entre deux jeux de données avec un décalage temporel donné par decal

name=paste("Prec",colnames(vec_name_p),"retrait", colnames(vec_name)[col_r],sep="") #nom du fichier pdf

min_p<-min(time(prec_input)) #cherche le départ temporel du jeu de données 1
max_p<-max(time(prec_input)) #cherche la fin temporel du jeu de données 1

min_r<-min(time(glaciers)) #cherche le départ temporel du jeu de données 2
max_r<-max(time(glaciers)) #cherche la fin temporel du jeu de données 2

depart<-max(min_p, min_r) #résume le départ
fin<-min(max_p, max_r) #résume la fin

decal<-3 #donne le décalage voulu

depart_prec<-depart #départ sans décalage jeu 1
depart_glacier<-depart+decal #départ avec décalage jeu 1
fin_prec<- fin-decal #départ avec décalage jeu 2
fin_glac<-fin #départ sans décalage jeu 2

fin_p<-which(time(prec_input)== fin_prec)  #synchronise les fins, jeu 1
depart_p<-which(time(prec_input)== depart_prec) #synchronise les débuts, jeu 2
# 
fin_r<-which(time(glaciers)== fin_glac) #synchronise les fins, jeu 2
depart_r<-which(time(glaciers)== depart_glacier) #synchronise les débuts, jeu 2

prec<-prec_input[depart_p : fin_p] #renommage
glac<-glaciers[depart_r : fin_r] #renommage

mou<-Kendall(prec, glac) #calcule la corrélation des signaux
print("décalage") #affiche le décalage dans la console
print(mou$tau)
print("-----------------------")

reg1<-lm(glac~prec) #calcule la régression
int<-confint(reg1) #interval de confiance de la régressions
 
pd<-paste("../Image/Scatter_decalage",decal,"ans",name,".pdf",sep="")
pdf(pd) #sauve l'image en pdf
plot(prec, glac,main = name,xlim=c(xlim1,xlim2),ylim=c(ylim1, ylim2))
abline(reg1) #trace la régression
dev.off()
}